# Título
Creación de una aplicación de búsqueda de libros con Spring Core.

## Uso
Para la creación de este proyecto hemos usado la tecnología de Spring Core para agilizar las relaciones entre los objetos.

En esta app podrás realizar consultas como buscar un libro por género o por título, además se ha añadido un apartado de [ayuda](./src/main/resources/help.txt/) que muestra de forma clara el uso.

## Ejemplo: Buscar un luchador por categoria.
```
java -jar playersearch.jar -t welter
```
```
ID	Nombre 	Categoria 	MejorDisciplina		Victorias		Derrotas
6	Eddie Alvaréz  Peso Welter  UFC					30				7
7	Israel Adesanya  Peso Welter  MMA				20				1
```

## Diagrama de clases
![Diagrama de clases.](./img/diagramaClases_booksearch.png "Diagrama de clases.")